%define upstream_name    Data-ObjectDriver
%define upstream_version 0.09

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Object driver for caching objects with memcached
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor::Fast)
BuildRequires: perl(Class::Data::Inheritable)
BuildRequires: perl(Class::Trigger)
BuildRequires: perl(DBI)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(List::Util)
BuildRequires: perl(Test::Builder) >= 1.1.3
BuildRequires: perl(Test::Exception)
BuildArch: noarch

%{?perl_default_filter}
%global __requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}%{perl_vendorlib}/Data/ObjectDriver/Driver/DBD/Oracle.pm

%description
_Data::ObjectDriver_ is an object relational mapper, meaning that it maps
object-oriented design concepts onto a relational database.

It's inspired by, and descended from, the _MT::ObjectDriver_ classes in Six
Apart's Movable Type and TypePad weblogging products. But it adds in
caching and partitioning layers, allowing you to spread data across
multiple physical databases, without your application code needing to know
where the data is stored.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# (sander85) drop conflicting bundled Test::Builder
rm -rf inc/Test/Builder*

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Oct 19 2014 umeabot <umeabot> 0.90.0-7.mga5
+ Revision: 788641
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.90.0-6.mga5
+ Revision: 740475
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.90.0-5.mga5
+ Revision: 733041
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.90.0-4.mga5
+ Revision: 684217
- Mageia 5 Mass Rebuild

* Sun Aug 17 2014 sander85 <sander85> 0.90.0-3.mga5
+ Revision: 664912
- Don't use bundled Test::Builder (breaks build)

* Fri Oct 18 2013 umeabot <umeabot> 0.90.0-3.mga4
+ Revision: 510555
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.90.0-2.mga3
+ Revision: 365394
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jun 04 2012 kharec <kharec> 0.90.0-1.mga3
+ Revision: 254395
- imported package perl-Data-ObjectDriver


* Mon Jun 04 2012 cpan2dist 0.09-1mga
- initial mageia release, generated with cpan2dist
